## jitterdebugger 0.3

=== debian/changelog ===
jitterdebugger (0.3-1) unstable; urgency=low

  * Initial release. (Closes: #918448)

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 07 Jan 2019 13:14:45 +0800

## jitterdebugger 0.3.1

=== Makefile ===
# SPDX-License-Identifier: MIT

CFLAGS+=-Wall -Wstrict-aliasing=1 -Wno-unused-result -pthread -O2
LDFLAGS+=-pthread

TARGETS=jitterdebugger jittersamples

all: $(TARGETS)

jitterdebugger: jitterutils.o jitterdebugger.o

jittersamples: jitterutils.o jittersamples.o

PHONY: .clean
clean:
	rm -f *.o
	rm -f $(TARGETS)

=== debian/changelog ===
jitterdebugger (0.3.1-1) unstable; urgency=medium

  * Import new upstream release
    - this release is dedicated for bug fixes

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 22 Feb 2019 16:59:36 +0800

=== debian/control ===
Source: jitterdebugger
Section: misc
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 12)
Standards-Version: 4.3.0
Homepage: https://github.com/igaw/jitterdebugger
Vcs-Browser: https://salsa.debian.org/debian/jitterdebugger
Vcs-Git: https://salsa.debian.org/debian/jitterdebugger.git

Package: jitterdebugger
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
         gir1.2-gtk-3.0,
         python3,
         python3-matplotlib
Description: Real time response measurement tool
 jitterdebugger measures wake up latencies and able to store all samples for
 post-processing.
 .
 It starts a thread on each CPU which programs a timer and measures the time it
 takes from the timer expiring until the thread which set the timer runs again.
 .
 This tool is a reimplementation of cyclictest. It doesn't have all the command
 line options as cyclictest which results are easy to get wrong
 and therefore an invalid latency report.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/igaw/jitterdebugger/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## jitterdebugger 0.3.1%2Bgit20200117.b90ff3a

=== debian/control ===
Source: jitterdebugger
Section: misc
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.1
Homepage: https://github.com/igaw/jitterdebugger
Vcs-Browser: https://salsa.debian.org/debian/jitterdebugger
Vcs-Git: https://salsa.debian.org/debian/jitterdebugger.git
Rules-Requires-Root: no

Package: jitterdebugger
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: jitterdebugger-utils (>= 0.3.1+git20200117.b90ff3a-2)
Description: Real time response measurement tool
 jitterdebugger measures wake up latencies and able to store all samples for
 post-processing.
 .
 It starts a thread on each CPU which programs a timer and measures the time it
 takes from the timer expiring until the thread which set the timer runs again.
 .
 This tool is a reimplementation of cyclictest. It doesn't have all the command
 line options as cyclictest which results are easy to get wrong
 and therefore an invalid latency report.

Package: jitterdebugger-utils
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
         gir1.2-gtk-3.0,
         python3,
         python3-matplotlib
Recommends: jitterdebugger
Replaces: jitterdebugger (<< 0.3.1+git20200117.b90ff3a-2)
Breaks: jitterdebugger (<< 0.3.1+git20200117.b90ff3a-2)
Description: Utilities for the jitterdebugger tool
 The jitterdebugger utilities provide tools to inspect
 and visualize jitterdebugger recodings.

Package: jitterdebugger-all
Architecture: linux-any
Depends: jitterdebugger (>= 0.3.1+git20200117.b90ff3a-2),
         jitterdebugger-utils (>= 0.3.1+git20200117.b90ff3a-2),
         ${misc:Depends}
Description: Real time response measurement tool - metapackage
 This metapackage installs the jitterdebugger along with
 its tooling for visualization.

## jitterdebugger 0.3.1+git20200117.b90ff3a

=== Makefile ===
# SPDX-License-Identifier: MIT

CFLAGS += -pthread -Wall -Wstrict-aliasing=1 -Wno-unused-result \
	  -Wsign-compare -Wtype-limits -Wmissing-prototypes \
	  -Wstrict-prototypes
LDFLAGS += -pthread

ifdef DEBUG
	CFLAGS += -O0 -g
	LDFLAGS += -g
else
	CFLAGS += -O2
endif

TARGETS=jitterdebugger jittersamples

all: $(TARGETS)

jitterdebugger: jd_utils.o jd_work.o jd_sysinfo.o jitterdebugger.o


jittersamples_builtin_modules = jd_samples_csv

# Determine if HDF5 support will be built into jittersamples
JSCC=${CC}
ifneq ("$(wildcard /usr/include/hdf5.h)", "")
	CFLAGS += -DCONFIG_HDF5
	JSCC = h5cc -shlib
	jittersamples_builtin_modules += jd_samples_hdf5
endif

jittersamples_builtin_sources = $(addsuffix .c,$(jittersamples_builtin_modules))
jittersamples_builtin_objs = $(addsuffix .o,$(jittersamples_builtin_modules))

jittersamples_objs = jd_utils.o $(jittersamples_builtin_objs) \
	jd_samples_builtin.o jd_plugin.o jittersamples.o

jd_samples_builtin.c: scripts/genbuiltin $(jittersamples_builtin_sources)
	scripts/genbuiltin $(jittersamples_builtin_modules) > $@
$(jittersamples_objs): %.o: %.c
	export HDF5_CC=${CC}
	$(JSCC) ${CFLAGS} -D_FILENAME=$(basename $<) -c $< -o $@
jittersamples: $(jittersamples_objs)
	$(JSCC) $^ -o $@


PHONY: .clean
clean:
	rm -f *.o
	rm -f $(TARGETS)
	rm -f jd_samples_builtin.c

=== debian/changelog ===
jitterdebugger (0.3.1+git20200117.b90ff3a-3) unstable; urgency=medium

  * Add missing Breaks+Replaces fields (Closes: #977407)

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 15 Dec 2020 13:36:20 +0800

jitterdebugger (0.3.1+git20200117.b90ff3a-2) unstable; urgency=medium

  * Split the package to reduce its dependencies
  * d/control:
    - Bump debhelper-compat to 13
    - Bump Standards-Version to 4.5.1
  * d/rules:
    - Remove unneeded linker flag

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 09 Dec 2020 10:54:37 +0800

jitterdebugger (0.3.1+git20200117.b90ff3a-1) unstable; urgency=medium

  * Import new upstream release (Closes: #954622)
  * d/control:
    - Use debhelper-compat (= 12) in build-dependency to replace d/compat
    - Add Rules-Requires-Root: no
    - Bump Standards-Version to 4.5.0
  * d/watch:
    - Fix wrong format in package naming

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 23 Mar 2020 11:18:19 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/igaw/jitterdebugger
 Vcs-Browser: https://salsa.debian.org/debian/jitterdebugger
 Vcs-Git: https://salsa.debian.org/debian/jitterdebugger.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/jitterdebugger-$1\.tar\.gz/ \
   https://github.com/igaw/jitterdebugger/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
